LOADFIRMWARE(9)

NAME
loadfirmware - load a firmware file from the filesystem

SYNOPSIS
#include <sys/device.h>
int
loadfirmware(const char *filename, u_char **buf, size_t *buflen);

DESCRIPTION
The loadfirmware() function loads firmware from the file specified by filename in the directory /etc/firmware. Memory for the firmware is allocated using malloc(9) with type M_DEVBUF as need be, within a reasonable size limit.

If no longer needed, the firmware buffer buf can be freed using free(9) with type M_DEVBUF.

RETURN VALUES
If successful, buf is set to point to the allocation and buflen is set to the size of the firmware. Then loadfirmware() returns 0. Otherwise, it returns an errno style error.